DRSCHEME(JR)

NAME
drscheme-jr - The Rice PLT Scheme programming shell

SYNOPSIS
drscheme-jr [ Xflag ... ] [ file ... ]

DESCRIPTION
DrScheme Jr is the Rice University PLT Scheme programming shell. It is the text-only version of the DrScheme programming environment.

DrScheme Jr treats its command line arguments as filenames and loads them after starting up.

OPTIONS
Startup file and expression switches:

-l language, --language language
    Set the language to one of the following: Beginner Intermediate Advanced R4RS+ MzScheme.

--case-sens {on,off}
    Enable/disable case-sensitive symbols and variables

--set-undef {on,off}
    Enable/disable set! on undefined variables

--auto-else {on,off}
    Enable/disable non-matching cond/case produces (void)

--improper-lists {on,off}
    Enable/disable improper lists

--print-sharing {on,off}
    Enable/disable show sharing in values

--print-list {on,off}
    Enable/disable use `list' where appropriate in constructor style printing

--signal-undef {on,off}
    Enable/disable error if using #<undefined> variable

--boolean-conds {on,off}
    Enable/disable conditionals must be #t or #f

--eq-syms {on,off}
    Enable/disable eq? only for symbols

--tag-inexacts {on,off}
    Enable/disable print inexact numbers with #i

--whole-frac {on,off}
    Enable/disable separate whole and fractional parts of exact numbers in printer

--constructor-printing {on,off}
    Enable/disable print values using constructor style input syntax

--quasi-printing {on,off}
    Enable/disable print values using quasi-quote style input syntax

--choose
    Interactively choose the language level

--save
    Save current settings to ~/.drscheme-jr.settings

--show
    Show the current settings

--lhelp language
    Show the flags implied by a particular language

--help, -h
    Show help

--  Do not treat any remaining argument as a flag (at this level)

Multiple single-letter flags can be combined after one `-'. For example, `-h-' is the same as `-h --' If ~/.drscheme-jr.settings exists, it initializes the language settings. For further information on DrScheme Jr, please consult the on-line documentation and other information available at

http://www.cs.rice.edu/CS/PLT/packages/drschemejr/

FILES
DrScheme Jr looks for its libraries using the environment variables PLTHOME and PLTCOLLECTS. If this variable is not defined, the installation directory is assumed (usually "/usr/local/lib/plt/"). See the documentation for details.

Please consult your local administrator to determine whether the on-line documentation has been installed locally.

BUGS
Submit bug reports via
http://www.cs.rice.edu/CS/PLT/Bugs/ (encouraged) or by e-mail to
plt-bugs@cs.rice.edu (discouraged)

AUTHOR
DrScheme Jr was implemented by Robby Findler (robby@cs.rice.edu), Shriram Krishnamurthi (shriram@cs.rice.edu), Cormac Flanagan (cormac@cs.rice.edu), Matthew Flatt (mflatt@cs.rice.edu), and Paul Steckler (steck@cs.rice.edu).

SEE ALSO
drscheme(1), mred(1), mzscheme(1)